import * as z from "zod";
declare const remote: z.ZodObject<{
    organization: z.ZodOptional<z.ZodString>;
    hostname: z.ZodOptional<z.ZodOptional<z.ZodString>>;
    token: z.ZodOptional<z.ZodOptional<z.ZodString>>;
    workspaces: z.ZodOptional<z.ZodObject<{
        name: z.ZodOptional<z.ZodOptional<z.ZodString>>;
        prefix: z.ZodOptional<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        name?: string | undefined;
        prefix?: string | undefined;
    }, {
        name?: string | undefined;
        prefix?: string | undefined;
    }>>;
}, "strip", z.ZodTypeAny, {
    token?: string | undefined;
    workspaces?: {
        name?: string | undefined;
        prefix?: string | undefined;
    } | undefined;
    organization?: string | undefined;
    hostname?: string | undefined;
}, {
    token?: string | undefined;
    workspaces?: {
        name?: string | undefined;
        prefix?: string | undefined;
    } | undefined;
    organization?: string | undefined;
    hostname?: string | undefined;
}>;
export declare const terraformJsonSchema: z.ZodObject<{
    "//": z.ZodOptional<z.ZodObject<{
        metadata: z.ZodOptional<z.ZodObject<{
            version: z.ZodOptional<z.ZodString>;
            stackName: z.ZodOptional<z.ZodString>;
            backend: z.ZodOptional<z.ZodString>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            version: z.ZodOptional<z.ZodString>;
            stackName: z.ZodOptional<z.ZodString>;
            backend: z.ZodOptional<z.ZodString>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            version: z.ZodOptional<z.ZodString>;
            stackName: z.ZodOptional<z.ZodString>;
            backend: z.ZodOptional<z.ZodString>;
        }, z.ZodTypeAny, "passthrough">>>;
        outputs: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        metadata: z.ZodOptional<z.ZodObject<{
            version: z.ZodOptional<z.ZodString>;
            stackName: z.ZodOptional<z.ZodString>;
            backend: z.ZodOptional<z.ZodString>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            version: z.ZodOptional<z.ZodString>;
            stackName: z.ZodOptional<z.ZodString>;
            backend: z.ZodOptional<z.ZodString>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            version: z.ZodOptional<z.ZodString>;
            stackName: z.ZodOptional<z.ZodString>;
            backend: z.ZodOptional<z.ZodString>;
        }, z.ZodTypeAny, "passthrough">>>;
        outputs: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        metadata: z.ZodOptional<z.ZodObject<{
            version: z.ZodOptional<z.ZodString>;
            stackName: z.ZodOptional<z.ZodString>;
            backend: z.ZodOptional<z.ZodString>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            version: z.ZodOptional<z.ZodString>;
            stackName: z.ZodOptional<z.ZodString>;
            backend: z.ZodOptional<z.ZodString>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            version: z.ZodOptional<z.ZodString>;
            stackName: z.ZodOptional<z.ZodString>;
            backend: z.ZodOptional<z.ZodString>;
        }, z.ZodTypeAny, "passthrough">>>;
        outputs: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>;
    }, z.ZodTypeAny, "passthrough">>>;
    terraform: z.ZodOptional<z.ZodObject<{
        backend: z.ZodOptional<z.ZodObject<{
            remote: z.ZodOptional<z.ZodObject<{
                organization: z.ZodOptional<z.ZodOptional<z.ZodString>>;
                hostname: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                token: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                workspaces: z.ZodOptional<z.ZodOptional<z.ZodObject<{
                    name: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                    prefix: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                }, "strip", z.ZodTypeAny, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            remote: z.ZodOptional<z.ZodObject<{
                organization: z.ZodOptional<z.ZodOptional<z.ZodString>>;
                hostname: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                token: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                workspaces: z.ZodOptional<z.ZodOptional<z.ZodObject<{
                    name: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                    prefix: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                }, "strip", z.ZodTypeAny, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            remote: z.ZodOptional<z.ZodObject<{
                organization: z.ZodOptional<z.ZodOptional<z.ZodString>>;
                hostname: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                token: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                workspaces: z.ZodOptional<z.ZodOptional<z.ZodObject<{
                    name: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                    prefix: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                }, "strip", z.ZodTypeAny, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }>>;
        }, z.ZodTypeAny, "passthrough">>>;
        cloud: z.ZodOptional<z.ZodObject<{
            organization: z.ZodOptional<z.ZodString>;
            hostname: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            token: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            workspaces: z.ZodOptional<z.ZodUnion<[z.ZodObject<{
                name: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
            }, {
                name: string;
            }>, z.ZodObject<{
                tags: z.ZodArray<z.ZodString, "many">;
            }, "strip", z.ZodTypeAny, {
                tags: string[];
            }, {
                tags: string[];
            }>]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            organization: z.ZodOptional<z.ZodString>;
            hostname: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            token: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            workspaces: z.ZodOptional<z.ZodUnion<[z.ZodObject<{
                name: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
            }, {
                name: string;
            }>, z.ZodObject<{
                tags: z.ZodArray<z.ZodString, "many">;
            }, "strip", z.ZodTypeAny, {
                tags: string[];
            }, {
                tags: string[];
            }>]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            organization: z.ZodOptional<z.ZodString>;
            hostname: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            token: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            workspaces: z.ZodOptional<z.ZodUnion<[z.ZodObject<{
                name: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
            }, {
                name: string;
            }>, z.ZodObject<{
                tags: z.ZodArray<z.ZodString, "many">;
            }, "strip", z.ZodTypeAny, {
                tags: string[];
            }, {
                tags: string[];
            }>]>>;
        }, z.ZodTypeAny, "passthrough">>>;
        required_providers: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodObject<{
            source: z.ZodString;
            version: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            source: z.ZodString;
            version: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            source: z.ZodString;
            version: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>>>;
        required_version: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        backend?: z.objectOutputType<{
            remote: z.ZodOptional<z.ZodObject<{
                organization: z.ZodOptional<z.ZodOptional<z.ZodString>>;
                hostname: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                token: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                workspaces: z.ZodOptional<z.ZodOptional<z.ZodObject<{
                    name: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                    prefix: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                }, "strip", z.ZodTypeAny, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
        cloud?: z.objectOutputType<{
            organization: z.ZodOptional<z.ZodString>;
            hostname: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            token: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            workspaces: z.ZodOptional<z.ZodUnion<[z.ZodObject<{
                name: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
            }, {
                name: string;
            }>, z.ZodObject<{
                tags: z.ZodArray<z.ZodString, "many">;
            }, "strip", z.ZodTypeAny, {
                tags: string[];
            }, {
                tags: string[];
            }>]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
        required_providers?: Record<string, z.objectOutputType<{
            source: z.ZodString;
            version: z.ZodString;
        }, z.ZodTypeAny, "passthrough">> | undefined;
        required_version?: string | undefined;
    }, {
        backend?: z.objectInputType<{
            remote: z.ZodOptional<z.ZodObject<{
                organization: z.ZodOptional<z.ZodOptional<z.ZodString>>;
                hostname: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                token: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                workspaces: z.ZodOptional<z.ZodOptional<z.ZodObject<{
                    name: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                    prefix: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                }, "strip", z.ZodTypeAny, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
        cloud?: z.objectInputType<{
            organization: z.ZodOptional<z.ZodString>;
            hostname: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            token: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            workspaces: z.ZodOptional<z.ZodUnion<[z.ZodObject<{
                name: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
            }, {
                name: string;
            }>, z.ZodObject<{
                tags: z.ZodArray<z.ZodString, "many">;
            }, "strip", z.ZodTypeAny, {
                tags: string[];
            }, {
                tags: string[];
            }>]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
        required_providers?: Record<string, z.objectInputType<{
            source: z.ZodString;
            version: z.ZodString;
        }, z.ZodTypeAny, "passthrough">> | undefined;
        required_version?: string | undefined;
    }>>;
    data: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>;
    provider: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>;
    resource: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>;
}, "passthrough", z.ZodTypeAny, z.objectOutputType<{
    "//": z.ZodOptional<z.ZodObject<{
        metadata: z.ZodOptional<z.ZodObject<{
            version: z.ZodOptional<z.ZodString>;
            stackName: z.ZodOptional<z.ZodString>;
            backend: z.ZodOptional<z.ZodString>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            version: z.ZodOptional<z.ZodString>;
            stackName: z.ZodOptional<z.ZodString>;
            backend: z.ZodOptional<z.ZodString>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            version: z.ZodOptional<z.ZodString>;
            stackName: z.ZodOptional<z.ZodString>;
            backend: z.ZodOptional<z.ZodString>;
        }, z.ZodTypeAny, "passthrough">>>;
        outputs: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        metadata: z.ZodOptional<z.ZodObject<{
            version: z.ZodOptional<z.ZodString>;
            stackName: z.ZodOptional<z.ZodString>;
            backend: z.ZodOptional<z.ZodString>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            version: z.ZodOptional<z.ZodString>;
            stackName: z.ZodOptional<z.ZodString>;
            backend: z.ZodOptional<z.ZodString>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            version: z.ZodOptional<z.ZodString>;
            stackName: z.ZodOptional<z.ZodString>;
            backend: z.ZodOptional<z.ZodString>;
        }, z.ZodTypeAny, "passthrough">>>;
        outputs: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        metadata: z.ZodOptional<z.ZodObject<{
            version: z.ZodOptional<z.ZodString>;
            stackName: z.ZodOptional<z.ZodString>;
            backend: z.ZodOptional<z.ZodString>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            version: z.ZodOptional<z.ZodString>;
            stackName: z.ZodOptional<z.ZodString>;
            backend: z.ZodOptional<z.ZodString>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            version: z.ZodOptional<z.ZodString>;
            stackName: z.ZodOptional<z.ZodString>;
            backend: z.ZodOptional<z.ZodString>;
        }, z.ZodTypeAny, "passthrough">>>;
        outputs: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>;
    }, z.ZodTypeAny, "passthrough">>>;
    terraform: z.ZodOptional<z.ZodObject<{
        backend: z.ZodOptional<z.ZodObject<{
            remote: z.ZodOptional<z.ZodObject<{
                organization: z.ZodOptional<z.ZodOptional<z.ZodString>>;
                hostname: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                token: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                workspaces: z.ZodOptional<z.ZodOptional<z.ZodObject<{
                    name: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                    prefix: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                }, "strip", z.ZodTypeAny, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            remote: z.ZodOptional<z.ZodObject<{
                organization: z.ZodOptional<z.ZodOptional<z.ZodString>>;
                hostname: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                token: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                workspaces: z.ZodOptional<z.ZodOptional<z.ZodObject<{
                    name: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                    prefix: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                }, "strip", z.ZodTypeAny, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            remote: z.ZodOptional<z.ZodObject<{
                organization: z.ZodOptional<z.ZodOptional<z.ZodString>>;
                hostname: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                token: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                workspaces: z.ZodOptional<z.ZodOptional<z.ZodObject<{
                    name: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                    prefix: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                }, "strip", z.ZodTypeAny, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }>>;
        }, z.ZodTypeAny, "passthrough">>>;
        cloud: z.ZodOptional<z.ZodObject<{
            organization: z.ZodOptional<z.ZodString>;
            hostname: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            token: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            workspaces: z.ZodOptional<z.ZodUnion<[z.ZodObject<{
                name: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
            }, {
                name: string;
            }>, z.ZodObject<{
                tags: z.ZodArray<z.ZodString, "many">;
            }, "strip", z.ZodTypeAny, {
                tags: string[];
            }, {
                tags: string[];
            }>]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            organization: z.ZodOptional<z.ZodString>;
            hostname: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            token: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            workspaces: z.ZodOptional<z.ZodUnion<[z.ZodObject<{
                name: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
            }, {
                name: string;
            }>, z.ZodObject<{
                tags: z.ZodArray<z.ZodString, "many">;
            }, "strip", z.ZodTypeAny, {
                tags: string[];
            }, {
                tags: string[];
            }>]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            organization: z.ZodOptional<z.ZodString>;
            hostname: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            token: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            workspaces: z.ZodOptional<z.ZodUnion<[z.ZodObject<{
                name: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
            }, {
                name: string;
            }>, z.ZodObject<{
                tags: z.ZodArray<z.ZodString, "many">;
            }, "strip", z.ZodTypeAny, {
                tags: string[];
            }, {
                tags: string[];
            }>]>>;
        }, z.ZodTypeAny, "passthrough">>>;
        required_providers: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodObject<{
            source: z.ZodString;
            version: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            source: z.ZodString;
            version: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            source: z.ZodString;
            version: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>>>;
        required_version: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        backend?: z.objectOutputType<{
            remote: z.ZodOptional<z.ZodObject<{
                organization: z.ZodOptional<z.ZodOptional<z.ZodString>>;
                hostname: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                token: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                workspaces: z.ZodOptional<z.ZodOptional<z.ZodObject<{
                    name: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                    prefix: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                }, "strip", z.ZodTypeAny, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
        cloud?: z.objectOutputType<{
            organization: z.ZodOptional<z.ZodString>;
            hostname: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            token: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            workspaces: z.ZodOptional<z.ZodUnion<[z.ZodObject<{
                name: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
            }, {
                name: string;
            }>, z.ZodObject<{
                tags: z.ZodArray<z.ZodString, "many">;
            }, "strip", z.ZodTypeAny, {
                tags: string[];
            }, {
                tags: string[];
            }>]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
        required_providers?: Record<string, z.objectOutputType<{
            source: z.ZodString;
            version: z.ZodString;
        }, z.ZodTypeAny, "passthrough">> | undefined;
        required_version?: string | undefined;
    }, {
        backend?: z.objectInputType<{
            remote: z.ZodOptional<z.ZodObject<{
                organization: z.ZodOptional<z.ZodOptional<z.ZodString>>;
                hostname: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                token: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                workspaces: z.ZodOptional<z.ZodOptional<z.ZodObject<{
                    name: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                    prefix: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                }, "strip", z.ZodTypeAny, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
        cloud?: z.objectInputType<{
            organization: z.ZodOptional<z.ZodString>;
            hostname: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            token: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            workspaces: z.ZodOptional<z.ZodUnion<[z.ZodObject<{
                name: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
            }, {
                name: string;
            }>, z.ZodObject<{
                tags: z.ZodArray<z.ZodString, "many">;
            }, "strip", z.ZodTypeAny, {
                tags: string[];
            }, {
                tags: string[];
            }>]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
        required_providers?: Record<string, z.objectInputType<{
            source: z.ZodString;
            version: z.ZodString;
        }, z.ZodTypeAny, "passthrough">> | undefined;
        required_version?: string | undefined;
    }>>;
    data: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>;
    provider: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>;
    resource: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>;
}, z.ZodTypeAny, "passthrough">, z.objectInputType<{
    "//": z.ZodOptional<z.ZodObject<{
        metadata: z.ZodOptional<z.ZodObject<{
            version: z.ZodOptional<z.ZodString>;
            stackName: z.ZodOptional<z.ZodString>;
            backend: z.ZodOptional<z.ZodString>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            version: z.ZodOptional<z.ZodString>;
            stackName: z.ZodOptional<z.ZodString>;
            backend: z.ZodOptional<z.ZodString>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            version: z.ZodOptional<z.ZodString>;
            stackName: z.ZodOptional<z.ZodString>;
            backend: z.ZodOptional<z.ZodString>;
        }, z.ZodTypeAny, "passthrough">>>;
        outputs: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        metadata: z.ZodOptional<z.ZodObject<{
            version: z.ZodOptional<z.ZodString>;
            stackName: z.ZodOptional<z.ZodString>;
            backend: z.ZodOptional<z.ZodString>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            version: z.ZodOptional<z.ZodString>;
            stackName: z.ZodOptional<z.ZodString>;
            backend: z.ZodOptional<z.ZodString>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            version: z.ZodOptional<z.ZodString>;
            stackName: z.ZodOptional<z.ZodString>;
            backend: z.ZodOptional<z.ZodString>;
        }, z.ZodTypeAny, "passthrough">>>;
        outputs: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        metadata: z.ZodOptional<z.ZodObject<{
            version: z.ZodOptional<z.ZodString>;
            stackName: z.ZodOptional<z.ZodString>;
            backend: z.ZodOptional<z.ZodString>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            version: z.ZodOptional<z.ZodString>;
            stackName: z.ZodOptional<z.ZodString>;
            backend: z.ZodOptional<z.ZodString>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            version: z.ZodOptional<z.ZodString>;
            stackName: z.ZodOptional<z.ZodString>;
            backend: z.ZodOptional<z.ZodString>;
        }, z.ZodTypeAny, "passthrough">>>;
        outputs: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>;
    }, z.ZodTypeAny, "passthrough">>>;
    terraform: z.ZodOptional<z.ZodObject<{
        backend: z.ZodOptional<z.ZodObject<{
            remote: z.ZodOptional<z.ZodObject<{
                organization: z.ZodOptional<z.ZodOptional<z.ZodString>>;
                hostname: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                token: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                workspaces: z.ZodOptional<z.ZodOptional<z.ZodObject<{
                    name: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                    prefix: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                }, "strip", z.ZodTypeAny, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            remote: z.ZodOptional<z.ZodObject<{
                organization: z.ZodOptional<z.ZodOptional<z.ZodString>>;
                hostname: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                token: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                workspaces: z.ZodOptional<z.ZodOptional<z.ZodObject<{
                    name: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                    prefix: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                }, "strip", z.ZodTypeAny, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            remote: z.ZodOptional<z.ZodObject<{
                organization: z.ZodOptional<z.ZodOptional<z.ZodString>>;
                hostname: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                token: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                workspaces: z.ZodOptional<z.ZodOptional<z.ZodObject<{
                    name: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                    prefix: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                }, "strip", z.ZodTypeAny, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }>>;
        }, z.ZodTypeAny, "passthrough">>>;
        cloud: z.ZodOptional<z.ZodObject<{
            organization: z.ZodOptional<z.ZodString>;
            hostname: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            token: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            workspaces: z.ZodOptional<z.ZodUnion<[z.ZodObject<{
                name: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
            }, {
                name: string;
            }>, z.ZodObject<{
                tags: z.ZodArray<z.ZodString, "many">;
            }, "strip", z.ZodTypeAny, {
                tags: string[];
            }, {
                tags: string[];
            }>]>>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            organization: z.ZodOptional<z.ZodString>;
            hostname: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            token: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            workspaces: z.ZodOptional<z.ZodUnion<[z.ZodObject<{
                name: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
            }, {
                name: string;
            }>, z.ZodObject<{
                tags: z.ZodArray<z.ZodString, "many">;
            }, "strip", z.ZodTypeAny, {
                tags: string[];
            }, {
                tags: string[];
            }>]>>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            organization: z.ZodOptional<z.ZodString>;
            hostname: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            token: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            workspaces: z.ZodOptional<z.ZodUnion<[z.ZodObject<{
                name: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
            }, {
                name: string;
            }>, z.ZodObject<{
                tags: z.ZodArray<z.ZodString, "many">;
            }, "strip", z.ZodTypeAny, {
                tags: string[];
            }, {
                tags: string[];
            }>]>>;
        }, z.ZodTypeAny, "passthrough">>>;
        required_providers: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodObject<{
            source: z.ZodString;
            version: z.ZodString;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            source: z.ZodString;
            version: z.ZodString;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            source: z.ZodString;
            version: z.ZodString;
        }, z.ZodTypeAny, "passthrough">>>>;
        required_version: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        backend?: z.objectOutputType<{
            remote: z.ZodOptional<z.ZodObject<{
                organization: z.ZodOptional<z.ZodOptional<z.ZodString>>;
                hostname: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                token: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                workspaces: z.ZodOptional<z.ZodOptional<z.ZodObject<{
                    name: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                    prefix: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                }, "strip", z.ZodTypeAny, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
        cloud?: z.objectOutputType<{
            organization: z.ZodOptional<z.ZodString>;
            hostname: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            token: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            workspaces: z.ZodOptional<z.ZodUnion<[z.ZodObject<{
                name: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
            }, {
                name: string;
            }>, z.ZodObject<{
                tags: z.ZodArray<z.ZodString, "many">;
            }, "strip", z.ZodTypeAny, {
                tags: string[];
            }, {
                tags: string[];
            }>]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
        required_providers?: Record<string, z.objectOutputType<{
            source: z.ZodString;
            version: z.ZodString;
        }, z.ZodTypeAny, "passthrough">> | undefined;
        required_version?: string | undefined;
    }, {
        backend?: z.objectInputType<{
            remote: z.ZodOptional<z.ZodObject<{
                organization: z.ZodOptional<z.ZodOptional<z.ZodString>>;
                hostname: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                token: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                workspaces: z.ZodOptional<z.ZodOptional<z.ZodObject<{
                    name: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                    prefix: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodString>>>;
                }, "strip", z.ZodTypeAny, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }, {
                    name?: string | undefined;
                    prefix?: string | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }, {
                token?: string | undefined;
                workspaces?: {
                    name?: string | undefined;
                    prefix?: string | undefined;
                } | undefined;
                organization?: string | undefined;
                hostname?: string | undefined;
            }>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
        cloud?: z.objectInputType<{
            organization: z.ZodOptional<z.ZodString>;
            hostname: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            token: z.ZodOptional<z.ZodOptional<z.ZodString>>;
            workspaces: z.ZodOptional<z.ZodUnion<[z.ZodObject<{
                name: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
            }, {
                name: string;
            }>, z.ZodObject<{
                tags: z.ZodArray<z.ZodString, "many">;
            }, "strip", z.ZodTypeAny, {
                tags: string[];
            }, {
                tags: string[];
            }>]>>;
        }, z.ZodTypeAny, "passthrough"> | undefined;
        required_providers?: Record<string, z.objectInputType<{
            source: z.ZodString;
            version: z.ZodString;
        }, z.ZodTypeAny, "passthrough">> | undefined;
        required_version?: string | undefined;
    }>>;
    data: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>;
    provider: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>;
    resource: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>;
}, z.ZodTypeAny, "passthrough">>;
export type TerraformStack = z.infer<typeof terraformJsonSchema>;
export type TerraformJsonConfigBackendRemote = z.infer<typeof remote>;
export {};
//# sourceMappingURL=terraform-json.d.ts.map