/**
 * Copyright (c) HashiCorp, Inc.
 * SPDX-License-Identifier: MPL-2.0
 */
export { isRegistryModule, TerraformModuleConstraint, TerraformProviderConstraint, isLocalModule, } from "@cdktf/commons";
import { TerraformDependencyConstraint } from "@cdktf/commons";
import { readModuleSchema, readProviderSchema } from "./provider-schema";
export type Schema = {
    providerSchema?: Awaited<ReturnType<typeof readProviderSchema>>;
    moduleSchema?: Awaited<ReturnType<typeof readModuleSchema>>;
};
export declare function readSchema(constraints: TerraformDependencyConstraint[], cacheDir?: string): Promise<Schema>;
//# sourceMappingURL=read.d.ts.map